/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         xbsql_yyparse
#define yylex           xbsql_yylex
#define yyerror         xbsql_yyerror
#define yydebug         xbsql_yydebug
#define yynerrs         xbsql_yynerrs

#define yylval          xbsql_yylval
#define yychar          xbsql_yychar

/* Copy the first part of user declarations.  */
#line 1 "support/xbsql/xbsql.y" /* yacc.c:339  */

#include	<stdlib.h>
#include	<string.h>
#include	<ctype.h>

#ifdef 		_WIN32
#include 	<io.h>
#endif

#include	"xbsql.h"

extern	void		yyerror	(const char *, ...) ;
extern	int		yylex	()	;
static	void		estring	(int)	;
static	int		nextChar()	;
static	int		nextData(char *,  int, int) ;
static	char		*textp		;
static	const char	*qp		;
static	XBaseSQL	*xbXBaseSQL	;
static	int		placeNo		;
static	int		xbLookup(const char *) ;
static	int		xbWord	(const char *) ;

char	*xbTextb	;

char	*xbStoreText
	(	const char	*text
	)
{
	if (text != 0)
	{
		char	*res	= textp	;
		strcpy	(textp, text)	;
		textp	+= strlen (text) + 1 ;
		return	res	;
	}

	return	0 ;
}

typedef	struct
{
	int		t	;
	int		w	;
	int		p	;
	XBSQL::Index	i	;
}	ColType	;

#undef	getc
#define	getc(f)		nextChar()
#define	fread(b,n,l,f)	nextData(b,n,l)	
#define	orzel_read(f,b,l)	nextData(b,1,l)

XBSQLCommand	*xbQuery	;


#line 131 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif


/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int xbsql_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    T_COMMA = 258,
    T_SELECT = 259,
    T_INSERT = 260,
    T_UPDATE = 261,
    T_DELETE = 262,
    T_CREATE = 263,
    T_DROP = 264,
    T_FROM = 265,
    T_WHERE = 266,
    T_GROUP = 267,
    T_HAVING = 268,
    T_BY = 269,
    T_AND = 270,
    T_OR = 271,
    T_INTO = 272,
    T_VALUES = 273,
    T_SET = 274,
    T_AS = 275,
    T_TABLE = 276,
    T_PLACE = 277,
    T_STRING = 278,
    T_NAME = 279,
    T_NUMBER = 280,
    T_REAL = 281,
    T_PLUS = 282,
    T_MINUS = 283,
    T_MULTIPLY = 284,
    T_DIVIDE = 285,
    T_REM = 286,
    T_EQUALS = 287,
    T_NOTEQUAL = 288,
    T_LT = 289,
    T_LE = 290,
    T_GT = 291,
    T_GE = 292,
    T_CONCAT = 293,
    T_BRA = 294,
    T_KET = 295,
    T_PERIOD = 296,
    T_INTEGER = 297,
    T_FLOAT = 298,
    T_CHAR = 299,
    T_BLOB = 300,
    T_DATE = 301,
    T_UNIQUE = 302,
    T_INDEX = 303,
    T_ORDER = 304,
    T_ASCENDING = 305,
    T_DESCENDING = 306,
    T_NULL = 307,
    T_LIKE = 308,
    T_CASE = 309,
    T_WHEN = 310,
    T_THEN = 311,
    T_ELSE = 312,
    T_END = 313,
    T_MIN = 314,
    T_MAX = 315,
    T_SUM = 316,
    T_COUNT = 317,
    T_UPPER = 318,
    T_LOWER = 319,
    T_NULLIF = 320,
    T_TOCHAR = 321
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 136 "support/xbsql/xbsql.y" /* yacc.c:355  */

	XBSQLSelect	*sqlsel	;
	XBSQLInsert	*sqlins	;
	XBSQLUpdate	*sqlupd	;
	XBSQLDelete	*sqldel	;
	XBSQLQuery	*query	;
	XBSQLExprList	*elist	;
	XBSQLExprNode	*enode	;
	XBSQLFieldList	*flist	;
	XBSQLAssignList	*alist	;
	XBSQLTableList	*table	;
	XBSQLColumnList	*columns;
	char		*_str	;
	int		_num	;
	double		_dbl	;
	XBSQL::Index	_idx	;
	ColType		coltype	;
	void		*dummy	;

#line 255 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE xbsql_yylval;

int xbsql_yyparse (void);



/* Copy the second part of user declarations.  */

#line 270 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  41
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   550

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  67
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  32
/* YYNRULES -- Number of rules.  */
#define YYNRULES  104
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  222

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   321

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   193,   193,   194,   195,   196,   197,   198,   200,   207,
     214,   221,   228,   235,   242,   249,   255,   261,   266,   271,
     279,   287,   295,   303,   311,   319,   324,   329,   333,   340,
     347,   354,   359,   363,   368,   373,   378,   382,   387,   391,
     396,   400,   405,   410,   415,   420,   424,   429,   434,   439,
     444,   449,   454,   459,   464,   469,   474,   479,   484,   489,
     494,   499,   504,   509,   514,   516,   518,   520,   525,   530,
     535,   540,   545,   550,   555,   561,   566,   571,   576,   581,
     586,   591,   596,   601,   606,   611,   616,   621,   626,   631,
     636,   641,   646,   651,   656,   661,   666,   671,   676,   681,
     686,   691,   696,   701,   706
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "T_COMMA", "T_SELECT", "T_INSERT",
  "T_UPDATE", "T_DELETE", "T_CREATE", "T_DROP", "T_FROM", "T_WHERE",
  "T_GROUP", "T_HAVING", "T_BY", "T_AND", "T_OR", "T_INTO", "T_VALUES",
  "T_SET", "T_AS", "T_TABLE", "T_PLACE", "T_STRING", "T_NAME", "T_NUMBER",
  "T_REAL", "T_PLUS", "T_MINUS", "T_MULTIPLY", "T_DIVIDE", "T_REM",
  "T_EQUALS", "T_NOTEQUAL", "T_LT", "T_LE", "T_GT", "T_GE", "T_CONCAT",
  "T_BRA", "T_KET", "T_PERIOD", "T_INTEGER", "T_FLOAT", "T_CHAR", "T_BLOB",
  "T_DATE", "T_UNIQUE", "T_INDEX", "T_ORDER", "T_ASCENDING",
  "T_DESCENDING", "T_NULL", "T_LIKE", "T_CASE", "T_WHEN", "T_THEN",
  "T_ELSE", "T_END", "T_MIN", "T_MAX", "T_SUM", "T_COUNT", "T_UPPER",
  "T_LOWER", "T_NULLIF", "T_TOCHAR", "$accept", "query", "select",
  "insert", "delete", "update", "create", "drop", "columns", "coltype",
  "indexed", "colsize", "wherepart", "wherelist", "grouppart",
  "havingpart", "orderpart", "orderlist", "ascdesc", "fieldlist",
  "tablelist", "assignlist", "selectlist", "exprlist", "expr",
  "binaryexpr", "funcexpr", "caseexpr", "whenexpr", "arglist1", "arglist2",
  "arglistN", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321
};
# endif

#define YYPACT_NINF -152

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-152)))

#define YYTABLE_NINF -89

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     179,   231,     4,    -2,    16,    19,    52,    74,  -152,  -152,
    -152,  -152,  -152,  -152,  -152,  -152,    42,  -152,  -152,   105,
     249,  -152,    54,    75,    77,    78,    80,    81,    82,    94,
      95,   113,     0,  -152,  -152,  -152,   124,   130,   126,   127,
     128,  -152,   131,   231,   377,   249,  -152,   249,   249,   249,
     125,   249,   249,   249,   249,   132,   231,   249,   249,   135,
     249,   249,   249,   249,   249,   249,   249,   249,   249,   249,
     249,   249,   249,     7,   136,   152,   143,  -152,  -152,  -152,
    -152,   320,   404,   149,   150,   156,   157,   158,   159,   109,
     161,   180,    21,   152,  -152,   497,   485,   163,    57,    57,
    -152,  -152,  -152,    20,    20,    20,    20,    20,    20,    49,
      20,   153,   194,  -152,   189,   152,   249,  -152,   198,   249,
    -152,  -152,  -152,  -152,  -152,  -152,   249,  -152,  -152,   132,
     164,   211,   231,   249,   221,   185,   249,  -152,  -152,   431,
      84,   186,   289,  -152,  -152,   132,   213,   215,  -152,   192,
      69,   194,     5,   178,   249,   195,   195,   195,   195,   195,
     230,  -152,   249,  -152,  -152,   249,   249,   187,  -152,   249,
     216,  -152,   196,  -152,   136,  -152,   458,   212,   -35,   -35,
     -35,  -152,   -35,   198,   142,   214,  -152,   404,   224,  -152,
    -152,   236,   249,  -152,     3,   210,  -152,  -152,  -152,  -152,
    -152,  -152,  -152,   249,   249,   249,   219,   237,  -152,  -152,
    -152,  -152,   350,  -152,  -152,   223,  -152,  -152,   258,  -152,
     249,  -152
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     2,     3,
       5,     4,     6,     7,    73,    69,    70,    67,    68,    54,
       0,    72,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,    64,    65,    66,     0,     0,     0,     0,
       0,     1,     0,     0,     0,     0,    98,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    32,     0,    16,    71,    55,
      74,     0,   101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,    32,    58,    88,    89,    57,    75,    76,
      77,    78,    79,    82,    83,    84,    85,    86,    87,    80,
      81,     0,     0,    12,     0,    32,     0,    13,     0,     0,
      90,    91,    92,    97,    93,    94,     0,    96,    95,     0,
      49,    36,     0,     0,    46,     0,     0,    14,    31,    33,
       0,     0,     0,   102,    50,     0,     0,    38,    59,     0,
      60,     0,     0,    52,     0,    30,    30,    30,    30,    30,
      17,    15,     0,    99,    51,     0,     0,    40,    10,     0,
       0,    47,     0,    11,     0,    34,    33,     0,    27,    27,
      27,    22,    24,     0,     0,   103,    35,    37,     0,     8,
      62,    61,     0,    53,     0,     0,    25,    19,    20,    21,
      23,    18,   100,     0,     0,     0,     0,     0,    29,    26,
     104,    39,    45,    63,     9,     0,    43,    44,    41,    28,
       0,    42
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -152,  -152,   -71,  -152,  -152,  -152,  -152,  -152,    83,  -152,
     -69,   -64,   -76,   110,  -152,  -152,  -152,    45,  -152,   117,
     -54,   102,   -42,  -151,    -1,  -152,  -152,  -152,   137,   -44,
    -152,    66
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     7,     8,     9,    10,    11,    12,    13,   141,   160,
     197,   178,   117,   138,   147,   167,   189,   211,   218,   135,
      93,   115,    31,   149,    82,    33,    34,    35,    46,    83,
      90,   186
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      32,    79,   113,    56,    84,    85,   207,    87,    88,     1,
      91,     1,   195,   196,    94,    57,    58,   131,   190,    44,
      59,    36,    37,   172,   129,   111,    38,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,   137,
      39,   206,    32,   208,    81,   130,   112,    60,    61,    62,
      63,    64,    89,    72,   213,    32,    95,    96,    71,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   169,    40,    41,   144,    60,    61,    62,    63,
      64,   173,   143,    42,    57,    58,    62,    63,    64,   170,
     148,   164,   179,   180,   181,   182,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    43,    45,
     198,   199,   126,   200,    47,   139,    48,    49,   142,    50,
      51,    52,    72,    55,    57,    58,   155,   156,   157,   158,
     159,    32,   150,    53,    54,   153,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    73,    74,
      75,    76,    77,   176,    86,    78,    92,    57,    58,    97,
     114,   184,    72,   116,   185,   187,   132,   145,   150,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,   174,   118,     1,     2,     3,     4,     5,     6,   120,
     121,   150,   133,    57,    58,    72,   122,   123,   124,   125,
     202,   127,   185,   212,   150,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,   203,   134,   212,
     128,   136,   140,   146,   151,   152,   161,   165,   166,    57,
      58,    72,   168,   183,   177,   192,   188,   194,   204,   205,
     191,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    14,    15,    16,    17,    18,   209,   214,
      19,   220,   215,   219,   175,   221,   201,    72,   171,   210,
      20,    14,    15,    16,    17,    18,   193,     0,     0,   163,
       0,     0,     0,    21,     0,    22,     0,     0,    20,     0,
      23,    24,    25,    26,    27,    28,    29,    30,     0,     0,
       0,    21,     0,    22,    57,    58,     0,     0,    23,    24,
      25,    26,    27,    28,    29,    30,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,     0,     0,
       0,     0,     0,     0,     0,    57,    58,     0,     0,     0,
       0,     0,    72,     0,    45,     0,   162,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,     0,
       0,     0,     0,     0,     0,    57,    58,     0,     0,     0,
       0,     0,     0,    72,     0,     0,   119,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,     0,
       0,     0,    57,    58,     0,     0,     0,     0,     0,     0,
     216,   217,     0,    72,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,     0,    80,     0,    57,
      58,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      72,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,     0,     0,     0,   154,    58,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    72,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
       0,     0,     0,   -88,   -88,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    72,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    72,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,     0,     0,    72,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      72
};

static const yytype_int16 yycheck[] =
{
       1,    43,    73,     3,    48,    49,     3,    51,    52,     4,
      54,     4,    47,    48,    56,    15,    16,    93,   169,    20,
      20,    17,    24,    18,     3,    18,    10,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,   115,
      21,   192,    43,    40,    45,    24,    39,    27,    28,    29,
      30,    31,    53,    53,   205,    56,    57,    58,    38,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,     3,    21,     0,   129,    27,    28,    29,    30,
      31,   152,   126,    41,    15,    16,    29,    30,    31,    20,
     132,   145,   156,   157,   158,   159,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,     3,    55,
     179,   180,     3,   182,    39,   116,    39,    39,   119,    39,
      39,    39,    53,    10,    15,    16,    42,    43,    44,    45,
      46,   132,   133,    39,    39,   136,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    24,    19,
      24,    24,    24,   154,    29,    24,    24,    15,    16,    24,
      24,   162,    53,    11,   165,   166,     3,     3,   169,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,     3,    39,     4,     5,     6,     7,     8,     9,    40,
      40,   192,    39,    15,    16,    53,    40,    40,    40,    40,
      58,    40,   203,   204,   205,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,     3,    24,   220,
      40,    32,    24,    12,     3,    40,    40,    14,    13,    15,
      16,    53,    40,     3,    39,    39,    49,    25,    14,     3,
      24,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    22,    23,    24,    25,    26,    48,    40,
      29,     3,    25,    40,   154,   220,   183,    53,   151,   203,
      39,    22,    23,    24,    25,    26,   174,    -1,    -1,   142,
      -1,    -1,    -1,    52,    -1,    54,    -1,    -1,    39,    -1,
      59,    60,    61,    62,    63,    64,    65,    66,    -1,    -1,
      -1,    52,    -1,    54,    15,    16,    -1,    -1,    59,    60,
      61,    62,    63,    64,    65,    66,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    53,    -1,    55,    -1,    57,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      -1,    -1,    -1,    -1,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    -1,    -1,    56,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      -1,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    53,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    -1,    15,
      16,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    -1,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    -1,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    -1,    -1,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    -1,    53,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     4,     5,     6,     7,     8,     9,    68,    69,    70,
      71,    72,    73,    74,    22,    23,    24,    25,    26,    29,
      39,    52,    54,    59,    60,    61,    62,    63,    64,    65,
      66,    89,    91,    92,    93,    94,    17,    24,    10,    21,
      21,     0,    41,     3,    91,    55,    95,    39,    39,    39,
      39,    39,    39,    39,    39,    10,     3,    15,    16,    20,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    53,    24,    19,    24,    24,    24,    24,    89,
      40,    91,    91,    96,    96,    96,    29,    96,    96,    91,
      97,    96,    24,    87,    89,    91,    91,    24,    91,    91,
      91,    91,    91,    91,    91,    91,    91,    91,    91,    91,
      91,    18,    39,    69,    24,    88,    11,    79,    39,    56,
      40,    40,    40,    40,    40,    40,     3,    40,    40,     3,
      24,    79,     3,    39,    24,    86,    32,    79,    80,    91,
      24,    75,    91,    96,    87,     3,    12,    81,    89,    90,
      91,     3,    40,    91,    15,    42,    43,    44,    45,    46,
      76,    40,    57,    95,    87,    14,    13,    82,    40,     3,
      20,    86,    18,    69,     3,    80,    91,    39,    78,    78,
      78,    78,    78,     3,    91,    91,    98,    91,    49,    83,
      90,    24,    39,    88,    25,    47,    48,    77,    77,    77,
      77,    75,    58,     3,    14,     3,    90,     3,    40,    48,
      98,    84,    91,    90,    40,    25,    50,    51,    85,    40,
       3,    84
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    67,    68,    68,    68,    68,    68,    68,    69,    70,
      70,    70,    70,    71,    72,    73,    74,    75,    75,    76,
      76,    76,    76,    76,    76,    77,    77,    77,    78,    78,
      78,    79,    79,    80,    80,    81,    81,    82,    82,    83,
      83,    84,    84,    85,    85,    85,    86,    86,    87,    87,
      87,    87,    88,    88,    89,    89,    89,    89,    89,    89,
      90,    90,    90,    90,    91,    91,    91,    91,    91,    91,
      91,    91,    91,    91,    91,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      93,    93,    93,    93,    93,    93,    93,    93,    94,    95,
      95,    96,    97,    98,    98
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     8,    10,
       7,     7,     4,     4,     5,     6,     3,     2,     4,     3,
       3,     3,     2,     3,     2,     1,     2,     0,     5,     3,
       0,     2,     0,     1,     3,     3,     0,     2,     0,     3,
       0,     2,     4,     1,     1,     0,     1,     3,     1,     2,
       3,     4,     3,     5,     1,     3,     1,     3,     3,     5,
       1,     3,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       4,     4,     4,     4,     4,     4,     4,     4,     2,     5,
       7,     1,     3,     1,     3
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 193 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    { (yyval.query) = (yyvsp[0].sqlsel) ; }
#line 1575 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 3:
#line 194 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    { (yyval.query) = (yyvsp[0].sqlins) ; }
#line 1581 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 4:
#line 195 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    { (yyval.query) = (yyvsp[0].sqlupd) ; }
#line 1587 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 5:
#line 196 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    { (yyval.query) = (yyvsp[0].sqldel) ; }
#line 1593 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 6:
#line 197 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    { (yyval.query) = (yyvsp[0].query) ; }
#line 1599 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 8:
#line 201 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLSelect *s = new XBSQLSelect (xbXBaseSQL, (yyvsp[-6].elist), (yyvsp[-4].table), (yyvsp[-3].elist), (yyvsp[-2].elist), (yyvsp[-1].elist), (yyvsp[0].elist)) ;
			xbQuery = s ;
			(yyval.sqlsel)	= s ;
		}
#line 1609 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 9:
#line 208 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-7]._str), (yyvsp[-5].flist), (yyvsp[-1].elist)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		}
#line 1619 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 10:
#line 215 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-4]._str), 0,  (yyvsp[-1].elist)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		}
#line 1629 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 11:
#line 222 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-4]._str), (yyvsp[-2].flist), (yyvsp[0].sqlsel)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		}
#line 1639 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 12:
#line 229 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-1]._str), 0,  (yyvsp[0].sqlsel)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		}
#line 1649 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 13:
#line 236 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLDelete *d = new XBSQLDelete (xbXBaseSQL, (yyvsp[-1]._str), (yyvsp[0].elist)) ;
			xbQuery = d ;
			(yyval.sqldel)	= d ;
		}
#line 1659 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 14:
#line 243 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			XBSQLUpdate *u = new XBSQLUpdate (xbXBaseSQL, (yyvsp[-3]._str), (yyvsp[-1].alist), (yyvsp[0].elist)) ;
			xbQuery = u ;
			(yyval.sqlupd)	= u ;
		}
#line 1669 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 15:
#line 250 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			xbQuery	= new XBSQLCreate (xbXBaseSQL, (yyvsp[-3]._str), (yyvsp[-1].columns)) ;
			(yyval.query)	= 0 ;
		}
#line 1678 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 16:
#line 256 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			xbQuery	= new XBSQLDrop   (xbXBaseSQL, (yyvsp[0]._str)) ;
			(yyval.query)	= 0 ;
		}
#line 1687 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 17:
#line 262 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.columns)	= new XBSQLColumnList ((yyvsp[-1]._str), (yyvsp[0].coltype).t, (yyvsp[0].coltype).w, (yyvsp[0].coltype).p, (yyvsp[0].coltype).i,  0) ;
		}
#line 1695 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 18:
#line 267 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.columns)	= new XBSQLColumnList ((yyvsp[-3]._str), (yyvsp[-2].coltype).t, (yyvsp[-2].coltype).w, (yyvsp[-2].coltype).p, (yyvsp[-2].coltype).i, (yyvsp[0].columns)) ;
		}
#line 1703 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 19:
#line 272 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'N' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		}
#line 1714 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 20:
#line 280 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'F' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		}
#line 1725 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 21:
#line 288 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'C' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		}
#line 1736 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 22:
#line 296 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'M' 	;
			(yyval.coltype).w	= 10	;
			(yyval.coltype).p	= 0	;
			(yyval.coltype).i	= XBSQL::IndexNone ;
		}
#line 1747 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 23:
#line 304 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'D' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		}
#line 1758 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 24:
#line 312 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 'D' 	;
			(yyval.coltype).w	= (yyvsp[0].coltype).w	== 0 ? 8 : (yyvsp[0].coltype).w ;
			(yyval.coltype).p	= (yyvsp[0].coltype).p	;
			(yyval.coltype).i	= XBSQL::IndexNone	;
		}
#line 1769 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 25:
#line 320 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._idx)	= XBSQL::IndexNotUnique	;
		}
#line 1777 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 26:
#line 325 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._idx)	= XBSQL::IndexUnique	;
		}
#line 1785 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 27:
#line 329 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._idx)	= XBSQL::IndexNone	;
		}
#line 1793 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 28:
#line 334 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= (yyvsp[-3]._num)	;
			(yyval.coltype).p	= (yyvsp[-1]._num)	;
		}
#line 1803 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 29:
#line 341 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= (yyvsp[-1]._num)	;
			(yyval.coltype).p	= 0	;
		}
#line 1813 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 30:
#line 347 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= 0	;
			(yyval.coltype).p	= 0	;
		}
#line 1823 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 31:
#line 355 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		}
#line 1831 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 32:
#line 359 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) =  0 ;
		}
#line 1839 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 33:
#line 364 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		}
#line 1847 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 34:
#line 369 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 1855 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 35:
#line 374 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		}
#line 1863 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 36:
#line 378 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) =  0 ;
		}
#line 1871 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 37:
#line 383 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		}
#line 1879 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 38:
#line 387 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) =  0 ;
		}
#line 1887 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 39:
#line 392 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		}
#line 1895 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 40:
#line 396 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) =  0 ;
		}
#line 1903 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 41:
#line 401 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-1].enode), (yyvsp[0]._num),  0) ;
		}
#line 1911 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 42:
#line 406 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-3].enode), (yyvsp[-2]._num), (yyvsp[0].elist)) ;
		}
#line 1919 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 43:
#line 411 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._num) = 1 ;
		}
#line 1927 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 44:
#line 416 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._num) = 0 ;
		}
#line 1935 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 45:
#line 420 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval._num) = 1 ;
		}
#line 1943 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 46:
#line 425 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.flist) = new XBSQLFieldList ((yyvsp[0]._str),  0) ;
		}
#line 1951 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 47:
#line 430 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.flist) = new XBSQLFieldList ((yyvsp[-2]._str), (yyvsp[0].flist)) ;
		}
#line 1959 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 48:
#line 435 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[0]._str), 0,  0) ;
		}
#line 1967 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 49:
#line 440 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-1]._str), (yyvsp[0]._str), 0) ;
		}
#line 1975 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 50:
#line 445 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-2]._str), 0, (yyvsp[0].table)) ;
		}
#line 1983 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 51:
#line 450 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-3]._str), (yyvsp[-2]._str), (yyvsp[0].table)) ;
		}
#line 1991 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 52:
#line 455 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.alist) = new XBSQLAssignList ((yyvsp[-2]._str), (yyvsp[0].enode),  0) ;
		}
#line 1999 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 53:
#line 460 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.alist) = new XBSQLAssignList ((yyvsp[-4]._str), (yyvsp[-2].enode), (yyvsp[0].alist)) ;
		}
#line 2007 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 54:
#line 465 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ( 0,  (const char *)0, 0) ;
		}
#line 2015 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 55:
#line 470 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ( 0,  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 2023 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 56:
#line 475 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		}
#line 2031 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 57:
#line 480 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (yyvsp[0]._str), 0) ;
		}
#line 2039 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 58:
#line 485 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 2047 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 59:
#line 490 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-4].enode),  (yyvsp[-2]._str), (yyvsp[0].elist)) ;
		}
#line 2055 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 60:
#line 495 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		}
#line 2063 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 61:
#line 500 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (yyvsp[0]._str), 0) ;
		}
#line 2071 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 62:
#line 505 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 2079 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 63:
#line 510 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-4].enode),  (yyvsp[-2]._str), (yyvsp[0].elist)) ;
		}
#line 2087 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 67:
#line 521 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._num), XBSQL::ENumber) ;
		}
#line 2095 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 68:
#line 526 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._dbl), XBSQL::EDouble) ;
		}
#line 2103 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 69:
#line 531 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), true ) ;
		}
#line 2111 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 70:
#line 536 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), false) ;
		}
#line 2119 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 71:
#line 541 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), (yyvsp[-2]._str), false) ;
		}
#line 2127 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 72:
#line 546 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ("", true ) ;
		}
#line 2135 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 73:
#line 551 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {	(yyval.enode) = new XBSQLExprNode (placeNo, XBSQL::EPlace) ;
			placeNo += 1 ;
		}
#line 2143 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 74:
#line 556 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = (yyvsp[-1].enode) ;
		}
#line 2151 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 75:
#line 562 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EPlus) ;
		}
#line 2159 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 76:
#line 567 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EMinus) ;
		}
#line 2167 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 77:
#line 572 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EMultiply) ;
		}
#line 2175 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 78:
#line 577 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EDivide) ;
		}
#line 2183 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 79:
#line 582 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ERem) ;
		}
#line 2191 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 80:
#line 587 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EConcat) ;
		}
#line 2199 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 81:
#line 592 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELike  ) ;
		}
#line 2207 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 82:
#line 597 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EEquals) ;
		}
#line 2215 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 83:
#line 602 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ENotEqual) ;
		}
#line 2223 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 84:
#line 607 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELT	) ;
		}
#line 2231 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 85:
#line 612 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELTEqual	) ;
		}
#line 2239 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 86:
#line 617 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EGT	) ;
		}
#line 2247 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 87:
#line 622 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EGTEqual	) ;
		}
#line 2255 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 88:
#line 627 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EAnd	) ;
		}
#line 2263 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 89:
#line 632 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EOr	) ;
		}
#line 2271 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 90:
#line 637 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNMin	) ;
		}
#line 2279 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 91:
#line 642 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNMax	) ;
		}
#line 2287 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 92:
#line 647 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNSum	) ;
		}
#line 2295 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 93:
#line 652 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNUpper	) ;
		}
#line 2303 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 94:
#line 657 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNLower	) ;
		}
#line 2311 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 95:
#line 662 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNToChar	) ;
		}
#line 2319 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 96:
#line 667 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNNullIF	) ;
		}
#line 2327 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 97:
#line 672 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode (0,  XBSQL::EFNCount	) ;
		}
#line 2335 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 98:
#line 677 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = (yyvsp[0].enode) ;
		}
#line 2343 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 99:
#line 682 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-3].enode), (yyvsp[-1].enode), (yyvsp[0].enode), XBSQL::ECase) ;
		}
#line 2351 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 100:
#line 687 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-5].enode), (yyvsp[-3].enode), (yyvsp[-1].enode), XBSQL::ECase) ;
		}
#line 2359 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 101:
#line 692 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		}
#line 2367 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 102:
#line 697 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 2375 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 103:
#line 702 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		}
#line 2383 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;

  case 104:
#line 707 "support/xbsql/xbsql.y" /* yacc.c:1646  */
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		}
#line 2391 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
    break;


#line 2395 "build/qt3/support/xbsql/xbsql.tab.cpp" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 710 "support/xbsql/xbsql.y" /* yacc.c:1906  */


#include	"lex.xbsql_yy.c"
